# Overview
Adds Crystal Burden Variant Set into the game, which has six new lunar items in it, with each giving a buff and a debuff to different base stats.

# Credits
Vale-X on RoR2 Modding Discord for the models and icons

# Thanks
Thank you for everyone that helped me in the RoR2 modding discord.
Thank you Vale-X for modeling and making the icons for Crystal Burden Variants

# Known Issues
If you encounter any issues or have any suggestions, please dm on Discord or ping me on the RoR2 Modding Discord at Kalkune#8103

# Todo

- Two new items and one new equipment are planned

# ChangeLog

v1.5.3
- Updated for Survivors of the Void DLC Update

v1.5.2
- Cleansing Pools now doesn't take Burden Variants, rather than disabling itself if you have a Variant
- Decreases the chance to get Variants once you hit a certain amount of Variants
- Lunar Variants now give more Variants per item for Higher Tiered Items
- Added MEL-T Item Displays
- Fixed Variants only needing half the amount of items set in the config to get to max size
- Fixed Panic, Rancor, and Torpor Item Displays on Heretic
- Fixed Item Displays breaking when getting Variants for the first time in other ways beside picking it up

v1.5.1
- Flipped the luck value for the "Toggle Luck Effect" config and added a config to set as flipped/unflipped
- Changed "Toggle Luck Effect" config to be true by default and toggled to true, it will not turn back to true of you set as false again
- If Change Chance/Drop Chance goes above 100%, give an extra drop per extra 100%, will have a limit in the config in the future
- Fixed Rancor's Lunar Item Description Damage Percent having an extra 5 in it

v1.5.0
- Added SFW Version, all items and equipment are now SFW with Item and Equipment Icons and Models for everything
- Fixed errors occurring on dedicated servers and causing players to be invulnerable
- Fixed being able to get other red items when enemies drop command cubes on death with Command Artifact enabled
- Fixed compatibility issues with AutoItemPickup and any other mod that would have the same issue
- Burden effects shield instead of health with Transcendence
- Added Equipment Icon for Gamble and temporary icons for Gamble's buff and debuff
- Her Gamble now requires the buff/debuff from it to be gone before be able to use it again
- Re-added the chance to get Gamble's debuff if Burden Variant debuffs are disabled to prevent having Gamble's buff all the time
- Chance to get Gamble Buff decreased by 10% to 80% and Chance to get Gamble Debuff increased by 10% to 20%
- Only Variants appear in command cubes when Command and Her Curse Artifacts are enabled
- Item descriptions now reflect config values
- Added Her Gamble equipment display
- Size Multiplier config now goes based of how many Variant is needed to get to max size
- Variants now are more powerful when Curse Artifact is enabled
- Added Her Curse Icons
- Re-enabled Toggle Variant Drop Count and fixed some issues it had with Artifact of Command
- Her Gamble buff and debuff now only effects Variant stats and not survivor base stats
- Her Gamble is now the only equipment that drops if Curse Artifact is enabled

v1.4.6
- Made sure to update the internal version number to 1.4.6
- Fixed blacklist not working that caused softlocks in certain situations
- Changed coding on how Variant Item display size gets set
- Changed Variant Shown on Survivor config to Variant Size Increase
- Add Variants are now shown on survivor

v1.4.5
- Removed dependency on EnigmaticThunder and switched over to BetterAPI until I can get Her Burden working as a standalone mod
- Properly disabled Toggle Variant Drop Count config so it won't affect gameplay
- Fixed console spam after picking up the Variant shown on survivor if Item Display is turned on for modded survivors
- Fixed multiplayer issue with 3d Printers not taking the correct player's Variants on use
- Changed how the config is sorted, make sure to delete the old one and let a new one generate
- Added a config that allows other Her Burden Variants to affect the Item Display size
- Renabled Item displays and added item displays into vanilla Bandit and Heretic

v1.4.4
- Fixed Her Burden to work with the Anniversary Update
- Removed dependency on R2API and switched over to EnigmaticThunder until I can get Her Burden working as a standalone mod
- Temporarily disabled Item displays via code until I can get them working again, you won't need to enable them again once they're fixed
- Temporarily disabled Toggle Variant Drop Count config until I can get it working again
- Fixed Her Burden Variants item icon stuck on one artist while ignoring the config
- Fixed spelling in Her Burden Variants item discriptions
- Added a config that allows other Variants to increase the item display scaling
- Added Beads of Fealty to the blacklist for future updates

v1.4.3
- Removed extra code that broke multiple things
- Properly implemented the Artifact of Her Curse blacklist

v1.4.2
- Added Artifact Key to the blacklist when the Artifact of Her Curse is enabled so you don't get softlocked

v1.4.1
- Fixed "Item" and "Equipment" being put in chat when pickups are spawned in

v1.4.0
- Fixed Her Burden Variant item display scaling from breaking after reviving via Dio's Best Friend
- Changed Her Burden Variants and Her Gamble item descriptions to match what's selected in the config
- Added the Artifact of Her Curse which turns all item drops into Her Burden Variants

v1.3.7
- Fixed Toggle Item Visibility permanently being disabled, make sure to enable it again
- Fixed Forgive Me Please causing console spam and lag on use with Her Burden Variants debuffs disabled

v1.3.6
- Fixed Her Burden dropping an extra item with Variant Debuffs enabled
- Her Gamble now switches to regular equipment if Debuffs are disabled

v1.3.5
- Fixed items not being able to be picked up with certain configs
- Removed last update Her Gamble changes that decided if it could drop or not as it was causing lag issues

v1.3.4
- Removed an unused empty list
- Now removes additional Her Burden Variants from the Lunar drop pool when Toggle Variant Drop Count is disabled
- Her Burden is now directly change into itself or Variants when dropped if Toggle Variant Drop Count is disabled
- Mechanics for Her Burden item changing should be working as intended now
- Removed the chance to get Her Gamble's debuff if Her Burden Variant debuffs are disabled, chance to get Her Gamble buff is the same
- Added Artifact Key to the blacklist so you don't get softlocked
- Her Gamble now only appears once you obtain a Variant and if you don't already have one equipped

v1.3.3
- Fixed the chance for enemies to drop Her Burden Variants due to being linked to the wrong config
- Added a config that combines Her Burden Variants item drops into one item drop, reducing the overall chance of finding a Variant

v1.3.2
- Fixed Her Gamble buffs and debuff incorrectly increasing/decreasing Her Burden Variants buffs and debuffs
- Cleansing Pools are no longer disabled if you have Her Burden Variants as legendary items
- 3D Printers now work as normal if Her Burden Variants are legendary items
- Her Burden Variant scaling should work correctly in the bazaar
- Fixed the Her Burden Variant size issue on Acrid for the stage you picked it up on
- Added the ability to disable luck on Her Burden Variants as legendary items

v1.3.1
- Fixed a set of if statements that caused multiple issues in game

v1.3.0
- Compressed code/made it look nicer/removed extra code
- Fixed spelling mistake in config
- Fixed when it said Her Burden instead of Her Burden Variants in the config
- Changed how Her Burden Variants drop when they're legendary items, they now have a chance to drop on enemy death
- Added an equipment into the game called Her Gamble

v1.2.3
- Added a config to toggle if the debuff are active or not
- When the debuff is disabled, changes all Her Burden Variants into legendary tier, and reduces the pickup chance by 90%

v1.2.2
- Fixed the console from being spammed when Her Burden is removed from the inventory somehow
- Fixed "Test" being put in chat when looking at a Cleansing Pool with Her Burden in your inventory
- Added a config to decide what Her Burden Variant to show as an item display
- Added a base +5 armor the Her Recluse with the usual 5% buff after

v1.2.1
- Her Burden Variants now change other pickups to Her Burden Variants
- Last Her Burden Variant when using the printer won't always be Her Burden
- Having any Her Burden Variant will disable the Cleansing Pool

v1.2.0
- Changed how the config is organized, recommended that the old config is deleted
- Changed the Thunderstore Icon
- Added five new lunar items into the game as Her Burden Variants
- Added a config that toggles if you get the original item drop along with a Her Burden Variant
- Cleansing Pools no longer are useable if you have Her Burden
- Printers remove a random Her Burden Variant on use and gives a random Variant back afterwards
- Added a new material for Her Burden Variant Set models, changeable using the same config as before

v1.1.3
- Fixed the original icon so it looks better and isn't stretched anymore
- Added a new icon for the Her Burden item and added a config to swap between the old one and the new one

v1.1.2
- Added the choice to either have the model enabled or disabled in config
- Added the choice to either have luck effect pickup chance or not in config

v1.1.1
- Fixed a mixup of default values with stats
- Made the config look nicer and neater

v1.1.0
- Added configs to the game

v1.0.3
- Fixed "Test" being put in chat when advance to the next stage

v1.0.2
- Fixed size increase not applying on new stage until item pickup
- Fixed fps drop/game freezing when played with certain mods
- Item effects are now in the item description

v1.0.1
- Fixed the item stats not being applied
- Item increases in size when more Her Burdens are collected

v1.0.0
- Base Release